html, body {
	font-family: Roboto, 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

* {
	scrollbar-width: thin
}

.content {
	padding-top: 1.1rem;
}

h1:focus {
	outline: none;
}

/* Quickgrid enhancements */
table.quickgrid {
	min-width: 100%;
}

.quickgrid thead {
	position: sticky;
	top: 0;
	background-color: var(--bs-body-bg);
	outline: 1px solid var(--bs-border-color);
	z-index: 1;
}


/* Correcting an alignment issue to get button and a align in the some way */
a.btn-sm {
	display: inline-flex;
	align-items: center;
	justify-content: center;
}

/* Hiding the down caret on a select if it is disabled */
select:disabled,
.form-select:disabled {
	background-image: none !important; /* removes arrow */
	padding-right: 0.5rem; /* same padding as left side */
}

/* Form enhancements */
/*.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}*/

/* BS enhancement instead of the style with the background image */
.isvalid {
	border-color: var(--bs-form-valid-border-color);
}

.isinvalid {
	border-color: var(--bs-form-invalid-border-color);
}
/**/

.invalid {
	outline: 1px solid #e50000;
}

/* Blazor Component Markup */
.validation-message {
	color: #e50000;
}
/* Blazor Component Markup */


/* Error boundries */
.blazor-error-boundary {
	background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
	padding: 1rem 1rem 1rem 3.7rem;
	color: white;
}

	.blazor-error-boundary::after {
		content: "An error has occurred."
	}
/* Error boundries */


/* Customize the syncfusion grid */
.e-grid {
	font-family: Roboto, 'Helvetica Neue', Arial, Helvetica, sans-serif;
}
.e-control {
	font-family: Roboto, 'Helvetica Neue', Arial, Helvetica, sans-serif;
}
.e-tab {
	font-family: Roboto, 'Helvetica Neue', Arial, Helvetica, sans-serif;
}
.e-tab-text {
	font-size: large !important;
	/*font-weight: 500 !important;*/
}
.e-tab .e-tab-header:not(.e-vertical) .e-indicator, .e-tab .e-tab-header.e-vertical .e-indicator {
	transition: none;
}
/* Customize the syncfusion grid */


/* Bootstrap enhancements */
.nav-pills {
	--bs-nav-pills-border-radius: 0 !important;
	--bs-nav-pills-link-active-color: #fff;
	--bs-nav-pills-link-active-bg: var(--bs-primary-800) !important;
}
.form-control-disabled-look {
	background-color: var(--bs-secondary-bg);
	opacity: 1;
	color: var(--bs-secondary-color);
	cursor: default;
}
/* Bootstrap enhancements */


/* Hide up-down buttons on numeric fields */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

input[type="number"] {
	-moz-appearance: textfield;
}
/* Hide up-down buttons on numeric fields */

/* Additional classes */
.form-width-10 {
	flex: 0 0 auto;
	width: min(100%, 10rem);
}

.form-width-20 {
	flex: 0 0 auto;
	width: min(100%, 20rem);
}

.form-width-30 {
	flex: 0 0 auto;
	width: min(100%, 30rem);
}

.form-width-40 {
	flex: 0 0 auto;
	width: min(100%, 40rem);
}

.form-width-50 {
	flex: 0 0 auto;
	width: min(100%, 50rem);
}

.form-width-60 {
	flex: 0 0 auto;
	width: min(100%, 60rem);
}

.form-width-70 {
	flex: 0 0 auto;
	width: min(100%, 70rem);
}

.form-width-80 {
	flex: 0 0 auto;
	width: min(100%, 80rem);
}

.form-width-90 {
	flex: 0 0 auto;
	width: min(100%, 90rem);
}

.form-width-100 {
	flex: 0 0 auto;
	width: min(100%, 100rem);
}
/* Additional classes */
